--***********************************************
--VISTA TELEFONOS DEL AVAL
--VM_C_TELEFONOS_AVAL_PF
--***********************************************

SELECT
CON.FOLIO_UNICO,
--DATOS PERSONALES AVAL
AV.ID AVAL_ID,
TELAVAL.IDINT TELEFONO_ID,
TELAVAL.TELEFONO TELEFONO,
TELAVAL.EXTENSION EXTENCION,
TTAVAL.NOMBRE REFERENCIA_TELEFONICA

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS_AVALES AFA ON (AFA.APLICANTE_FISICO_ID = ATF.ID)
LEFT OUTER JOIN SMAFB.SGAVALES AV ON (AV.ID = AFA.AVAL_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS SAVAL ON (SAVAL.ID = AV.SUJETO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS_TELEFONOS STAVAL ON (STAVAL.SUJETO_ID = SAVAL.ID)
LEFT OUTER JOIN SMAFB.SGTELEFONOS TELAVAL ON (TELAVAL.IDINT = STAVAL.TELEFONO_ID)
LEFT OUTER JOIN SMAFB.SGTIPOS_TELEFONOS TTAVAL ON (TTAVAL.ID = TELAVAL.TIPO_TELEFONO_ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;